# Continuous3DFunction Class Reference

This is a TabulatedFunction that computes a continuous three dimensional function. More...

Inheritance diagram for Continuous3DFunction:

List of all members.

## Public Member Functions

def | __init__
| __init__(self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) -> Continuous3DFunction
def | getFunctionParameters
| getFunctionParameters(self)
def | setFunctionParameters
| setFunctionParameters(self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)
def | Copy
| Copy(self) -> Continuous3DFunction.
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a continuous three dimensional function.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from TabulatedFunction.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) -> Continuous3DFunction

This is a TabulatedFunction that computes a continuous three dimensional function.

def Copy | ( |  | self | ) |

Copy(self) -> Continuous3DFunction.

Reimplemented from TabulatedFunction.

def getFunctionParameters | ( |  | self | ) |

getFunctionParameters(self)

def setFunctionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setFunctionParameters(self, int xsize, int ysize, int zsize, vectord values, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py